<?php

namespace Plugins\Sms\Contracts;

abstract class Response
{
    private array $data = [];
    abstract public function wasSuccessful(): bool;

    public function getData(): array
    {
        return $this->data;
    }

    public function setData(array $data): void
    {
        $this->data = $data;
    }
}